Name:           notecase
Version:        1.6.1
Release:        4%{?dist}
Summary:        A hierarchical note manager

Group:          Applications/Productivity
License:        BSD
URL:            http://notecase.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/notecase/notecase-%{version}_src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.4 desktop-file-utils gettext gnome-vfs2-devel
Requires(post): desktop-file-utils shared-mime-info
Requires(postun): desktop-file-utils shared-mime-info

Patch1: notecase-gcc43.patch

%description
NoteCase is a hierarchical note manager (aka. outliner). It helps you organize
your everyday text notes into a single document, with individual notes placed
in the tree-like structure (each note can have its sub-notes, ...). To ensure
your privacy, encrypted document format is supported, along with standard
unencrypted format.

%prep
%setup -q
%patch1 -p1 -b .gcc43

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
desktop-file-install --vendor="fedora" \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  --remove-category Office \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc readme.txt docs/license.txt docs/help.ncd
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/%{name}.xml

%changelog
* Thu Mar 27 2008 Christopher Aillon <caillon@redhat.com> 1.6.1-4
- Fix the build against GCC 4.3 (#434534)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.6.1-3
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.6.1-2
- Rebuild for selinux ppc32 issue.

* Thu Aug 04 2007 Damien Durand <splinux@fedoraproject.org> 1.6.1-1
- Ugrade to 1.6.1

* Sat Jun 30 2007 Damien Durand <splinux@fedoraproject.org> 1.5.8-1
- Ugrade to 1.5.8

* Mon May 14 2007 Damien Durand <splinux@fedoraproject.org> 1.5.6-1
- Upstream release 

* Tue Mar 20 2007 Damien Durand <splinux@fedoraproject.org> 1.5.2-1
- Upgrade to 1.5.2

* Sun Mar 18 2007 Damien Durand <splinux@fedoraproject.org> 1.5.1-1
- Upgrade to 1.5.1

* Sat Mar 17 2007 Damien Durand <splinux@fedoraproject.org> 1.4.5-1
- Upgrade to 1.4.5
- Fix desktop file

* Tue Jan 09 2007 Damien Durand <splinux@fedoraproject.org> 1.3.6-1
- Upgrade to 1.3.6

* Sun Dec 17 2006 Damien Durand <splinux@fedoraproject.org> 1.3.3-1
- Upgrade to 1.3.3
- Fix source

* Wed Sep 27 2006 Damien Durand <splinux@fedoraproject.org> 1.1.9-2
- Upgrade to 1.1.9
- Remove patch
- Bump

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.4-2
- Rebuild for Fedora Extras 5

* Sat Feb  4 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.4-1
- Upstream update

* Sun Oct 30 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.2-1
- Upstream update
- Fix -debuginfo subpackage (#170970)

* Sat Sep  3 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-2
- Fixed help file path (#166562)
- Use sed instead of dos2unix

* Sat Jul 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-1
- Upstream update

* Sun May 29 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.9-1
- Upstream update

* Fri Apr 22 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.2-7
- Bump

* Wed Apr 13 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.2-6
- Added GenericName to desktop entry

* Mon Apr 11 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.2-5
- Add patch from Toshio to fix x86_64 compiler warnings
- Fixed hard-coded paths in src/config.h

* Wed Apr  6 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.2-4
- Change group to Applications/Productivity
- Have dos2unix only convert files
- Fixed hard-coded paths in the Makefile

* Tue Apr  5 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.2-3
- Use dos2unix instead of sed

* Tue Apr  5 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.2-2
- Implemented Toshio's strip, eol, and CFLAGS fixes
- Added missing gettext in BuildRequires

* Thu Mar 31 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.2-1
- Initial RPM release
